--- a/scripts/url_log.pl
+++ b/scripts/url_log.pl
@@ -379,7 +379,7 @@
 Irssi::settings_add_str("url_log", "url_log_file", "~/.irssi/url");
 Irssi::settings_add_str("url_log", "url_log_timestamp_format", '%c');
 Irssi::settings_add_str("url_log", "url_log_format", '%s %n %t %u');
-Irssi::settings_add_str("url_log", "url_log_browser", 'galeon -n -x %f > /dev/null');
+Irssi::settings_add_str("url_log", "url_log_browser", 'sensible-browser %f > /dev/null');
 Irssi::settings_add_int("url_log", "url_log_size", 25);
 Irssi::settings_add_str("url_log", "url_auto_head_format", '%c %t %l bytes');
 Irssi::settings_add_str("url_log", "url_head_format", '
